Bug 172278 - cdrecord hangs; DMA issue with the IDE controller.
cdrecord hangs; DMA issue with the IDE controller.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-02 05:05 EST by Hubert Verstraete
Modified: 2015-01-04 17:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:41:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of lspci (1.12 KB, text/plain)
2005-11-02 05:05 EST, Hubert Verstraete
no flags Details

  None (edit)
Description Hubert Verstraete 2005-11-02 05:05:07 EST
Description of problem:
When I use cdrecord on the dvd-recorder on hdc, cdrecord hangs forever.
A few seconds later, I start getting the following kernel messages:
12:33:50 homer kernel: ide-cd: cmd 0x3 timed out
12:33:50 homer kernel: hdc: lost interrupt
12:34:50 homer kernel: ide-cd: cmd 0x3 timed out
12:34:50 homer kernel: hdc: lost interrupt
12:35:50 homer kernel: hdd: lost interrupt
12:36:50 homer kernel: ide-cd: cmd 0x3 timed out
12:36:50 homer kernel: hdd: lost interrupt
12:37:50 homer kernel: ide-cd: cmd 0x3 timed out
12:37:50 homer kernel: hdd: lost interrupt
12:38:50 homer kernel: hdc: lost interrupt
12:39:30 homer kernel: hdc: lost interrupt

I found a work-around on this issue; when disabling DMA on hdc, cdrecord works
and I can burn a CDR.
So this may point a problem within the driver of the IDE controller?
It's an ALi M5229.

Version-Release number of selected component (if applicable):
kernel-smp-2.6.13-1.1532_FC4
cdrecord-2.01.1-9.0.FC4.1

How reproducible:
Every time cdrecord needs to access the dvd recorder.

Steps to Reproduce:
1. Insert a CDR or CDRW in the dvd recorder
2. cdrecord -atip /dev/hdc
  
Actual results:
cdrecord hangs

Expected results:
cdrecord should return the CD information

Additional info:
The computer is a Acer Aspire T630-JA6X.
The IDE controller is:
  00:1f.0 IDE interface: ALi Corporation M5229 IDE (rev c7)
The dvd recorder is seen by cdrecord as:
  Vendor_info    : 'HL-DT-ST'
  Identifikation : 'DVDRAM GSA-4163B'
  Revision       : 'A102'
Comment 1 Hubert Verstraete 2005-11-02 05:05:08 EST
Created attachment 120635 [details]
output of lspci
Comment 2 Dave Jones 2005-11-10 17:00:02 EST
Mass update to all FC4 bugs:

An update has been released (2.6.14-1.1637_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.

Comment 3 Hubert Verstraete 2005-11-10 17:31:35 EST
I'm sorry I forgot to mention that the bug occurs also with the kernel 2.6.14
that I had compiled when it was released in october.
Nevertheless, I'll make a try with the new kernel in testing, next week.

Also, what information would you need?
Comment 4 Dave Jones 2005-11-11 01:11:54 EST
thanks, it probably isn't going to be fixed in the update either, as there's not
really many patches that weren't in 2.6.14 included.

You may want to bring this up with the upstream maintainers at
linux-kernel@vger.kernel.org

thanks.
Comment 5 Hubert Verstraete 2005-11-18 04:03:13 EST
As expected, the kernel 2.6.14-1.1637_FC4smp have the same results.
I posted in the kernel mailing list two days ago, but haven't got any answer yet.
FYI, the archive link:
http://www.uwsg.indiana.edu/hypermail/linux/kernel/0511.2/0082.html
Comment 6 Enrico Colombini 2005-12-02 13:26:53 EST
(In reply to comment #5)
> As expected, the kernel 2.6.14-1.1637_FC4smp have the same results.

I can confirm the described behaviour on my similar machine (Acer T630) both on
FC4 (2.6.14-1.1637), on Debian testing (2.6.12) and on Knoppix 4.02.

I reported it as a bug in cdrecord
(http://bugs.debian.org/cgi-bin/pkgreport.cgi?which=pkg&data=cdrecord&archive=no&version=&dist=unstable),
but I agree it's probably an IDE driver problem.
Comment 7 Enrico Colombini 2005-12-02 13:29:58 EST
Sorry, wrong link to Debian bug report. Here it is:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=338909
Comment 8 Dave Jones 2006-02-03 01:19:39 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 9 Hubert Verstraete 2006-02-06 09:23:36 EST
As kernel 2.6.15 didn't change anything to this bug, the new FC4 kernel
2.6.15-1.1830_FC4 does not work too.
Since November 2005, I've still got no news from the kernel mailing list, only
spams :(

Note that I could not set the status of this bug to REOPENED.
Comment 10 Hubert Verstraete 2006-04-25 09:16:59 EDT
I've recompiled the Fedore Core 5's kernel 2.6.16-1.2096_FC5 with the latest
kernel patch: 2.6.16.11 and now the cd/dvd recorder can be used successfully
with DMA enabled.
Note that the modification correcting this issue has been included in 2.6.16.10.
We can close this bugzilla when the next kernel is released.
Comment 11 Dave Jones 2006-09-16 23:26:21 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 12 Dave Jones 2006-10-16 15:53:24 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 13 Nathanael Noblet 2007-02-02 12:14:49 EST
This bug is caused by the IDE driver. Vanilla kernels 2.6.18 had a change to fix
it. I had the same issues on FC5/FC6 until the 2.6.18 kernels. It can probably
be closed
Comment 14 Jon Stanley 2008-01-19 23:41:57 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.